<template>
	<view class="container">
		<view class="recharge">
			<view class="example-title flex_item">
				<view class="titleTip"></view>
				<view class="">支付信息</view>
			</view>
			<view class="infoBox">
				<view class="tplAddr">银行:<text>{{baseData.bank}}</text></view>
				<view class="tplAddr">支行:<text>{{baseData.bank_name}}</text></view>
				<view class="tplAddr">卡号:<text>{{baseData.bank_code}}</text></view>
				<view class="tplAddr">姓名:<text>{{baseData.real_name}}</text></view>
				<view class="tplAddr">手机号:<text>{{baseData.phone}}</text></view>
				<view class="tplAddr">数量:<text>{{baseData.num*1}}{{baseData.money_type}}</text></view>
				<view class="tplAddr">单格:<text>￥{{baseData.price*1}}</text></view>
				<view class="tplAddr">总价:<text>￥{{allmoney}}</text></view>
			</view>
		</view>
		<view class="login_text">
			<view class="login_input flex">
				<view class="login_img"><text>打款凭证</text></view>
				<view class="login_name" @click="scImg">
					<image :src="img||'/static/image/img19.png'"></image>
				</view>
			</view>
			<view class="submission"><button class="golden" type="golden" hover-class="none"
					@click="submission">确认提交</button></view>
		</view>
	</view>
</template>
<script type="text/javascript">
	// import { show_cb,do_cb } from '@/api/recharge.js';
	// import { upload } from '@/api/real.js';
	import {
		getSell,
		setSellVoucher
	} from '@/api/game.js';
	import {
		copyText
	} from '@/utils/rocessor.js';
	export default {
		data() {
			return {
				img:'',
				remark:'',
				id:'',
				baseData:{},
				allmoney:0
			};
		},
		onLoad(opt) {
			this.id = opt.id;
			this.getData();
		},
		methods: {
			//获取数据
			getData() {
				const that = this;
				//确认充值调接口，成功跳转页面
				getSell({
						id: that.id,
					})
					.then(function(e) {
						that.baseData = e.data.info
						that.baseData.num = that.baseData.num*1;
						that.baseData.price = that.baseData.price*1;
						that.allmoney = +(that.baseData.num*that.baseData.price).toFixed(8);
						console.log(that.allmoney);
					})
					.catch(function(e) {
						console.log(e);
					});
			},
			// 下载图片
			domImage() {
				uni.downloadFile({
					url: this.er_code,
					success(re) {
						console.log(re.tempFilePath, 're');
						uni.showToast({
							title: '下载成功'
						});
					}
				})
			},
			// 复制地址
			copy() {
				copyText(this.dataMoney.address)
			},
			// 二维码生成
			qrR(res) {
				this.er_code = res;
			},
			//确认提交
			submission() {
				let obj = this;
				uni.showLoading({
					title: '提交中...',
					mask: true
				});
				//确认充值调接口，成功跳转页面
				setSellVoucher({
						id: obj.id,
						img: obj.img,
					})
					.then(function(e) {
						uni.showToast({
							title: '请耐心等待审核通过',
							duration: 1500,
							mask: false,
							icon: 'none'
						});
						uni.hideLoading();
					})
					.catch(function(e) {
						console.log(e);
						uni.hideLoading();
					});
			},
			//上传图片
			scImg() {
				upload({
					file: ''
				}).then((e) => {
					console.log(e, 55)
					this.img = e[0].url;
				});
			},
		}
	};
</script>

<style lang="scss">
	/* page {
	min-height: 100%;
	background: linear-gradient(-28deg, rgba(44, 45, 53, 1), rgba(59, 62, 74, 1));
} */
	.body_content {
		width: 100%;
		height: 100%;
	}

	.login_text {
		width: 100%;
		color: #fff !important;
		font-size: 28rpx !important;
		background-color: #1F2A4A;
		margin: 25rpx 0rpx;
		padding: 0rpx 25rpx;
		padding-bottom: 15rpx;
	}

	.recharge {
		text-align: center;
		color: #85858e;
		font-size: 30rpx;
		background-color: #1F2A4A;
	}

	.example-title {
		text-align: left !important;
		padding: 25rpx 25rpx;
		border-bottom: 2rpx solid #2F364E;
		color: #0C5AFA;

		.titleTip {
			width: 5rpx;
			height: 30rpx;
			background: linear-gradient(90deg, #0C5AFA, #1356FF);
			border-radius: 3rpx;
			margin-right: 15rpx;
		}
	}

	.infoBox {
		text-align: left;
		padding: 28rpx 51rpx;

		.tplName {
			font-family: PingFang SC;
			font-weight: bold;
			font-size: 32rpx;
			color: #FFFFFF;
			line-height: 24rpx;
		}

		.tplNum {
			margin: 30rpx 0rpx;
			padding: 15rpx 30rpx;
			border-radius: 10rpx;
			border: 1px solid #1356FF;
			font-family: PingFang SC;
			font-size: 26rpx;
			color: #1356FF;
			display: inline-block;
		}

		.tplAddr {
			color: #e3e3e3;
			font-size: 26rpx;
			margin-bottom: 10rpx;
			
			text {
				padding-left: 15rpx;
				font-size: 26rpx;
				color: #FFFFFF;
			}
		}
	}

	.login_input {
		border-bottom: 1px solid #464755;
		padding: 35rpx;
	}

	.uni-input {
		width: 100%;
		text-align: left !important;
	}

	.code {
		width: 277rpx;
		height: 277rpx;
		margin: 25rpx auto;
		margin-bottom: 35rpx;
		background: #0C5AFA;
	}

	.code image {
		width: 100%;
		height: 100%;
	}

	.btnBox {
		justify-content: center;
		padding-bottom: 50rpx;
		padding-top: 30rpx;

		.btn {
			margin-right: 50rpx;
			font-family: PingFang SC;
			font-weight: bold;
			font-size: 26rpx;
			color: #0C5AFA;
			border: 1rpx solid #0C5AFA;
			padding: 15rpx 45rpx;
			border-radius: 15rpx;
		}
	}

	.submission {
		padding: 30rpx 25rpx;

		.golden {
			background: #0C5AFA;
			color: #fff;
		}
	}

	.login_name {
		width: 480rpx;
		color: #ffffff;
	}

	.login_name image {
		width: 100rpx;
		height: 100rpx;
	}

	.tip {
		padding: 29rpx 31rpx;
		line-height: 55rpx;
		font-size: 24rpx;
	}

	.select_img {
		width: 28rpx;
		height: 32rpx;
	}

	.select_img image {
		width: 100%;
		height: 100%;
	}

	.scann {
		margin-bottom: 35rpx;
		margin-top: 15rpx;
	}

	.scanning {
		background-color: #6f6f78;
		color: #ffffff;
		padding: 10rpx 30rpx;
		border-radius: 15rpx;
		font-size: 28rpx;
	}

	.address_code {
		padding: 25rpx 0rpx;
		color: #ffffff;
	}

	.input-placeholder {
		color: #fff !important;
	}
</style>